h1 {
  font-family: Oswald, sans-serif;
  font-size: 3rem;
  line-height: 4rem;
  font-weight: 700;
  color: #ffffff;
}

h2 {
  font-family: Oswald, sans-serif;
  font-size: 2rem;
  line-height: 3rem;
  font-weight: 700;
  color: #464547;
}

h3 {
  font-family: Oswald, sans-serif;
  font-size: 1.5rem;
  line-height: 2rem;
  font-weight: 400;
  color: #666666;
}

p {
  font-family: "Source Sans 3", sans-serif;
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: 400;
  color: #000000;
}

.container {
  width: 100%; /* Full width by default */
  margin-left: auto; /* Center the container */
  margin-right: auto; /* Center the container */
  padding-left: 15px; /* Padding for small devices */
  padding-right: 15px; /* Padding for small devices */
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  .container {
    padding-left: 30px; /* Increase padding for larger devices */
    padding-right: 30px; /* Increase padding for larger devices */
  }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .container {
    max-width: 960px; /* Fixed max width for larger screens */
  }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
  .container {
    max-width: 1140px; /* Larger max width for extra large screens */
  }
}

.flex-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.main-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.main-nav ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
}

.main-nav ul li {
  margin-right: 20px; /* Adjust as needed */
}

.main-nav ul li:last-child {
  margin-right: 0;
}

.main-nav ul li a {
  color: #ffffff; /* White text color */
  text-transform: uppercase; /* Uppercase text */
  text-decoration: none; /* Remove underline */
}

.header-hero-container {
  background-image: url("../visual/hero_section_background.jpg");
  background-repeat: no-repeat;
  background-size: cover;
}

.hero-section {
  padding-top: 10rem;
  padding-bottom: 10rem;
  background-color: transparent; /* Ensure container's background is visible */
}

.hero-section p {
  color: #ffffff;
}

.description-section {
  padding-top: 10rem;
  padding-bottom: 10rem;
  background-color: #eeeeee;
}

.two-column {
  display: flex;
  justify-content: space-between;
}

.two-column p {
  flex: 1;
  margin-right: 10px;
}

.two-column p:last-child {
  margin-right: 0;
}

.read-more-button {
  display: flex;
  justify-content: center;
  background-color: #55c2d8;
  border-radius: 1.125rem;
  text-transform: uppercase;
  max-width: max-content;
  cursor: pointer; /* Indicates that it's clickable */
  transition: background-color 0.3s ease; /* Smooth transition for background color */
}

.read-more-button a {
  color: white;
  text-decoration: none;
  padding: 10px 20px;
  display: inline-block;
  transition: color 0.3s ease; /* Smooth transition for text color */
}

/* Hover effects */
.read-more-button:hover,
.read-more-button a:hover {
  background-color: #49b6cc; /* Slightly darker shade for hover */
  color: #f0f0f0; /* Slightly lighter shade of white for the text */
  border-radius: 1.125rem; /* Ensure the rounded corners are maintained */
}

.video-section {
  padding-top: 10rem;
  padding-bottom: 10rem;
  background-image: linear-gradient(
      rgba(128, 128, 128, 0.5),
      rgba(128, 128, 128, 0.5)
    ),
    url("../visual/video_poster.jpg");
  background-color: #808080; /* Fallback color if the image fails to load */
}

.video-section h2 {
  color: #ffffff;
}

.video-section p {
  color: #ffffff;
}

.play-button {
  width: 144px; /* Size of the button */
  height: 144px; /* Size of the button */
  background-color: #39c2d7; /* The button's blue background color */
  border-radius: 50%; /* Make it round */
  border: none; /* Remove default border */
  display: flex; /* Use flex to center the SVG inside */
  justify-content: center; /* Center horizontally */
  align-items: center; /* Center vertically */
  cursor: pointer; /* Change cursor to pointer on hover */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Optional: Add a shadow for depth */
}

.play-icon {
  display: flex; /* Ensure SVG centers inside the div */
}

/* Size of the SVG can be controlled with the width and height attributes on the <svg> tag itself */

footer {
  background-color: #464547;
  color: #ffffff;
  padding-top: 3rem;
  padding-bottom: 3rem;
}

footer a {
  text-decoration: none;
  color: #ffffff;
}

footer p {
  color: #ffffff;
}

.footer-container {
  display: flex;
  flex-direction: row; /* Aligns the elements horizontally */
  padding: 1.25rem;
  color: white;
}

.footer-logo {
  display: flex;
  flex-direction: column; /* Stacks the logo elements vertically */
  align-items: center; /* Aligns the logo elements to the center */
  justify-items: center; /* Aligns the logo elements to the left */
  margin-right: auto; /* Pushes it to the left */
}

.footer-address {
  display: flex;
  flex-direction: column; /* Stacks the address elements vertically */
  align-items: center; /* Aligns the address elements to the center */
  justify-items: center; /* Aligns the address elements to the left */
  margin: 0 20px; /* Add some horizontal spacing */
}

.footer-rights {
  display: flex;
  flex-direction: column; /* Stacks the rights elements vertically */
  align-items: bottom; /* Aligns the rights elements to the bottom */
  margin-left: auto; /* Pushes it to the right */
}

/* Ensure address and email link styles are consistent */
.footer-address address,
.footer-address a {
  color: white;
  text-decoration: none; /* Remove underline from links */
  display: block; /* Makes each address element a block to stack them */
}

/* Ensure the image fits within the logo area and is not stretched */
.footer-logo img {
  display: block; /* Prevent inline default alignment issues */
  width: auto; /* Maintain the image's aspect ratio */
  height: auto; /* Maintain the image's aspect ratio */
}
